# Class JSVException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jspecview.exception.JSVException

All Implemented Interfaces:
  `Serializable`

public class JSVException extends Exception
JSVException is the base class from which all exceptions in JSpecView is inherited.

Author:
  Debbie-Ann Facey, Khari A. Bryan, Prof Robert J. Lancashire
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JSVException(String message)`
Constructor that takes a string specifying exception details

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JSVException

public JSVException(String message)
Constructor that takes a string specifying exception details

Parameters:
  `message` - the error message